<xsl:stylesheet xmlns:xsl='http://www.w3.org/1999/XSL/Transform' version='1.0'>

  <xsl:template match='article'>
      
    <html>
      <head>
        <link rel="stylesheet" type="text/css" href=pg.css"/>
      </head>
      <body>
        <xsl:variable name='id' select='@id'/>
        <header><div><a href='../edit?id={$id}'>edit</a></div></header>
        <div>
        <xsl:copy-of select='ul[@class="breadcrumb"]' />
        </div>
        <article>
          <xsl:apply-templates select='heading' />
          <xsl:copy-of select='body/*' />
        </article>
          <xsl:apply-templates select='tags' />
      </body>
    </html>

  </xsl:template>

  <xsl:template match='heading'>

    <h1><xsl:value-of select='.' /></h1>

  </xsl:template>

  <xsl:template match='tags'>

    <ul id='tags'>
      <xsl:apply-templates select='tag' />
    </ul>

  </xsl:template>

  <xsl:template match='tag'>

    <li>
      <xsl:element name='a'>
        <xsl:attribute name='href'>
          ../hashtags.html#<xsl:value-of select='.' />
        </xsl:attribute>
        <xsl:value-of select='.' />
      </xsl:element>
    </li>

  </xsl:template>

</xsl:stylesheet>
